STG-NEW(1)

NAME
stg-new - Create a new, empty patch

SYNOPSIS

stg new [options] [--] [<name>]

DESCRIPTION
Create a new, empty patch on the current stack. The new patch is created on top of the currently applied patches, and is made the new top of the stack. Uncommitted changes in the work tree are not included in the patch — that is handled by stg-refresh(1).

The given name must be unique in the stack, and may only contain alphanumeric characters, dashes and underscores. If no name is given, one is generated from the first line of the patch’s commit message.

An editor will be launched to edit the commit message to be used for the patch, unless the --message flag already specified one. The patchdescr.tmpl template file (if available) is used to pre-fill the editor.

OPTIONS

--author "NAME <EMAIL>"
    Set the author details.

--authname NAME
    Set the author name.

--authemail EMAIL
    Set the author email.

--authdate DATE
    Set the author date.

-m MESSAGE, --message MESSAGE
    Use MESSAGE instead of invoking the editor.

-f FILE, --file FILE
    Use the contents of FILE instead of invoking the editor. (If FILE is "-", write to stdout.)

--save-template FILE
    Instead of running the command, just write the message template to FILE, and exit. (If FILE is "-", write to stdout.)

    When driving StGit from another program, it is often useful to first call a command with --save-template, then let the user edit the message, and then call the same command with --file.

--sign
    Add a "Signed-off-by:" to the end of the patch.

--ack
    Add an "Acked-by:" line to the end of the patch.

STGIT
Part of the StGit suite - see stg(1)